Välkomstsidor
GET https://qr-kode.no/api/splash-pages/
curl --request GET \
--url 'https://qr-kode.no/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qr-kode.no/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
| Parametrar | Detaljer | Beskrivning |
|---|---|---|
| search | Valfri Sträng | Söksträngen. |
| search_by | Valfri Sträng | Vilket fält du söker i. Tillåtna värden är: name. |
| datetime_field | Valfri Sträng | Tillåtna värden: datetime, last_datetime |
| datetime_start | Valfri Sträng | Filtrera resultat från och med denna tidpunkt. Format Y-m-d H:i:s. |
| datetime_end | Valfri Sträng | Filtrera resultat till och med denna tidpunkt. Format Y-m-d H:i:s. |
| order_by | Valfri Sträng | Vilket fält resultaten ska sorteras efter. Tillåtna värden är: splash_page_id, datetime, last_datetime, name. |
| order_type | Valfri Sträng | Sorteringsordningen för resultaten. Tillåtna värden är: ASC för stigande ordning och DESC för fallande ordning. |
| page | Valfri Heltal | Sidnumret du vill ha resultat från. Standard är 1. |
| results_per_page | Valfri Heltal | Hur många resultat du vill ha per sida. Tillåtna värden är: 10, 25, 50, 100, 250, 500, 1000. Standard är 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-11-14 14:12:32"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://qr-kode.no/api/splash-pages?page=1",
"last": "https://qr-kode.no/api/splash-pages?page=1",
"next": null,
"prev": null,
"self": "https://qr-kode.no/api/splash-pages?page=1"
}
}
GET https://qr-kode.no/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://qr-kode.no/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qr-kode.no/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-11-14 14:12:32"
}
}
POST https://qr-kode.no/api/splash-pages
| Parametrar | Detaljer | Beskrivning |
|---|---|---|
| name | Obligatorisk Sträng | - |
| title | Valfri Sträng | - |
| logo | Valfri Fil | - |
| favicon | Valfri Fil | - |
| opengraph | Valfri Fil | - |
| description | Valfri Sträng | - |
| secondary_button_name | Valfri Sträng | - |
| secondary_button_url | Valfri Sträng | - |
| custom_css | Valfri Sträng | - |
| custom_js | Valfri Sträng | - |
| ads_header | Valfri Sträng | - |
| ads_footer | Valfri Sträng | - |
| link_unlock_seconds | Valfri Heltal | - |
| auto_redirect | Valfri Boolesk | - |
curl --request POST \
--url 'https://qr-kode.no/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://qr-kode.no/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-11-14 14:12:32"
}
}
POST https://qr-kode.no/api/splash-pages/{splash_page_id}
| Parametrar | Detaljer | Beskrivning |
|---|---|---|
| name | Valfri Sträng | - |
| title | Valfri Sträng | - |
| logo | Valfri Fil | - |
| favicon | Valfri Fil | - |
| opengraph | Valfri Fil | - |
| description | Valfri Sträng | - |
| secondary_button_name | Valfri Sträng | - |
| secondary_button_url | Valfri Sträng | - |
| custom_css | Valfri Sträng | - |
| custom_js | Valfri Sträng | - |
| ads_header | Valfri Sträng | - |
| ads_footer | Valfri Sträng | - |
| link_unlock_seconds | Valfri Heltal | - |
| auto_redirect | Valfri Boolesk | - |
curl --request POST \
--url 'https://qr-kode.no/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://qr-kode.no/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"link_unlock_seconds": "Example",
"auto_redirect": true,
"settings": [],
"last_datetime": null,
"datetime": "2026-11-14 14:12:32"
}
}
DELETE https://qr-kode.no/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://qr-kode.no/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qr-kode.no/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \